 @echo off
rem acf
rem Arduino Command line Flash writer v01
rem Created by audin 
rem 2012/04

rem
rem ----------------
rem %1 : hex filename
rem aroot : arduino top folder
rem ----------------

rem --- COM port
set comport=com6

rem --- AE-ATmega or  Arduino Duemilanove w/ ATmega328 (5V/16MHz)
set cpu=m328p
rem normal bootloader baudrate
rem set baudrate=57600
rem for Optiboot
set baudrate=115200

rem --- Arduino root folder
if not "%aroot%" == "" goto lb1
	set aroot=P:\arduino-1.0
:lb1
	set conf=%aroot%\hardware\tools\avr\etc\avrdude.conf

rem --- Specify hex file
if exist %1 goto lb2
	set fname="foobar.hex"
	goto lb3

:lb2
	set fname=%1

:lb3
rem --- Write hex file to Arduino
set dude_path=%aroot%\hardware\tools\avr\bin
	%dude_path%\avrdude -c arduino -P %comport% -p %cpu% -D -b %baudrate% -C %conf% -U flash:w:%fname%:a 

