#include "FreeRTOS.h"
#include "task.h"
#include "led_drv.h"
#include "sio_tsk.h"

#include "led_tsk.h"

#define led_on()	 ledDrv_ledOn()
#define led_off()	 ledDrv_ledOff()

#define MIN_VAL		0
static int val		= 0;
static int dir		= 1;
int max_val	= 0;

/*******************

* LED@
  
 *******************/
void led_init(void)
{
	ledDrv_init();
  	led_off();							//@ŏOFF
}

/*******************

* ms msec ҂
  
 *******************/
void wait(int ms)
{
	for( int i = 0; i < ms; i++ ){
		vTaskDelay( MSEC( 1 ) );
	}
}

/*******************

* Fake PWM
 
 *******************/
void pwm( int ms )
{
	led_on();
	wait( ms );
	led_off();
	wait( max_val - val);
}

/*******************

* LED@_Ń^XN
  
 *******************/
void led_tsk( void *pvParameters )
{
	( void ) pvParameters;								// not used
	led_init();											// LED|[g

	while( 1 ){
		if( ( val >= max_val) || ( val <= MIN_VAL) ){
			max_val = sio_get_led_blink_speed() + 3 ;	// LED_Ŏ̕ύX
			max_val <<= 1;								// ԂeLgEɒ
			if( val <= MIN_VAL ){
				dir = 1;
				vTaskDelay( SEC( 1 ) );					// 邳OɂȂA1b҂
			}
			else{ 
				dir = -1;
				val = max_val;
			}
					}
		val += dir;
		pwm( val );
	}
}



