#ifndef _MEGA_REGS_
#define _MEGA_REGS_
#include <avr/io.h>

/* ATmega-Changes */ 
#ifndef UBRR0H
#define	UBRR0H  UBRRH 
#endif
#ifndef UBRR0L
#define	UBRR0L  UBRRL 
#endif
#ifndef UCSR0A
#define	UCSR0A  UCSRA 
#endif
#ifndef UCSR0B
#define	UCSR0B  UCSRB 
#endif
#ifndef UDR0
#define	UDR0    UDR	
#endif
#ifndef RXEN0
#define	RXEN0   RXEN 
#endif
#ifndef TXEN0
#define	TXEN0   TXEN 
#endif
#ifndef UCSR0C
#define	UCSR0C  UCSRC 
#endif
#ifndef UCSZ00
#define	UCSZ00 UCSZ0 					//UCSZ1:0=11 f[^rbg8
#endif
#ifndef  USBS0
#define	USBS0   USBS
#endif
#ifndef  UPM00
#define	UPM00   UPM0
#endif
#ifndef UCSR0A
#define	UCSR0A  UCSRA 
#endif
#ifndef  UDRE0
#define	UDRE0   UDRE
#endif
#ifndef  RXC0
#define	RXC0	RXC
#endif
#ifndef RXCIE0 
#define	RXCIE0	RXCIE
#endif

#define isUART0_TxRx_FIFO_empty()	(UCSR0A & (1<<UDRE0))
#define isUART0_Rx_data_exist()		(UCSR0A & (1<<RXC0)) 
#define RX_REG UDR0
#define TX_REG UDR0



/* ATmega-Changes */ 
#if defined(__AVR_ATmega8__)||defined(__AVR_ATmega323__)
#define PORTC0 PC0 
#define PORTC1 PC1 
#endif



#endif
